// Licensed Materials - Property of IBM
// 5725-C94, 5725-C95, 5725-C96
// Copyright IBM Corporation 2013. All Rights Reserved.
// US Government Users Restricted Rights- Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.

dojo.provide("com.ibm.bpm.QuickStart.Consoles.impl.ConsoleAbstractClass");
dojo.require("com.ibm.bpm.QuickStart.UtilitiesJavaWrapper");

dojo.declare("com.ibm.bpm.QuickStart.Consoles.impl.ConsoleAbstractClass", [], {
    name:null,
    hostName:null,
    port:null,

    constructor : function() {
    },

    getName : function(){
        return this.name;
    },

    getHostName : function(){
        return "";
    },

    getPort : function(){
        return "";
    },
    
    getUrl : function(){
        return "http://"+this.getHostName()+":"+ this.getPort();
    },
    
    isOnline : function(){
        return com.ibm.bpm.QuickStart.UtilitiesJavaWrapper.isHostOnline(this.getUrl());
    }
});
