// Licensed Materials - Property of IBM
// 5725-C94, 5725-C95, 5725-C96
// Copyright IBM Corporation 2013. All Rights Reserved.
// US Government Users Restricted Rights- Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.

dojo.provide("com.ibm.bpm.QuickStart.Helpers.AjaxHelper");

com.ibm.bpm.QuickStart.Helpers.AjaxHelper.getFile = function(fileName) {
    if(!top.fileExists(fileName)){
        return null;
    }
    var xmlDoc = null;
    if (window.ActiveXObject) { // code for IE
        xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
    } else {
        if (document.implementation.createDocument) { // code for Mozilla, Firefox, Opera, etc.
            xmlDoc = document.implementation.createDocument("", "", null);
        }
        else {
            alert('Your browser cannot handle this script');
        }
    }
    if (xmlDoc != null) {
        xmlDoc.async = false;
        var success = xmlDoc.load(fileName);
        if(success){
            return xmlDoc;
        } else {
            return null;
        }
    }
};

com.ibm.bpm.QuickStart.Helpers.AjaxHelper.getTextFile = function(fileName){
    var returnValue = {
      value: null,
      complete: false,
      setValue: function(value){
        returnValue.value=value;
    returnValue.complete=true;
      }
    };

    var xhrArgs = {
    url: fileName,
    handleAs: "text",
    sync:true,
    load: dojo.hitch(returnValue, "setValue"),
    error: function(error){
    }
  };
    var deferred = dojo.xhrGet(xhrArgs);
    
    while(returnValue.complete == false) {};
    return returnValue.value;
}